package me.mrletsplay.streamdeck.action.impl;

import java.awt.AWTException;
import java.awt.Robot;

import me.mrletsplay.streamdeck.action.Action;
import me.mrletsplay.streamdeck.action.ActionParameter;
import me.mrletsplay.streamdeck.action.DeckAction;

@Action("press_key")
public final class PressKeyAction implements DeckAction {

	private static Robot robot;

	static {
		try {
			robot = new Robot();
		} catch (AWTException e) {
			throw new RuntimeException(e);
		}
	}

	@ActionParameter
	private int key;

	@Override
	public void run() {
		robot.keyPress(key);
		robot.delay(100);
		robot.keyRelease(key);
	}

}
